# Git Command Line Basics

All Git commands start with the `git` "main" command followed by a keyword matching the Git operation to be performed. Running Git commands only works inside folders that belong to a (local) Git repository.
Trying to run Git commands outside a Git repository folder will generate an error message.

[This index](https://git-scm.com/docs) lists all the available commands with links to extensive documentation.

## Displaying information about a local repository

The `git status` [command](https://git-scm.com/docs/git-status) displays information about the current status of the local repository:
  - What is the current branch ?
  - If it is related to a remote branch, have any modifications been made on either side ?
  - What has happend to the files and folders of the local repository ?

On a freshly cloned repository, the output of `git status` looks like:

  ![status_initial.png](./media/status_initial.png)

The `git log` [command](https://git-scm.com/docs/git-log) details all the operations that have been performed on the current branch since it was created, crouped by commits. `git log` provides many many options to customize the output.

On the freshly cloned example repository, the output of `git log` looks like:

  ![log_initial.png](./media/log_initial.png)  
  



